Skip to main content

Source of Fund

GET

Payout API WPT Payout API

The Source of Fund API is used to fetch the source of the fund.

Request Parameter​

ParametersInput TypeLengthRequirementDescription
transactionTypeAlphanumeric03MThe harmonized Transaction Type. Fixed default value B2C, B2B, C2C, C2B.
countryCodeAlpha03MThe country code of reciever. eg: ARE,IND
Requirement legend: M = Mandatory · O = Optional · C = Conditional

Request Details​

GET /services HTTP/1.0
HOST: sandbox-client.remittanceshub.com:8130
Content-Type: application/json; charset=utf-8
GET https://sandbox-client.remittanceshub.com:8130/ewallet/api/v1/getSourceOfFund/RHUB/B2B/IND

Response Parameter​

ParametersData TypeRequirementDescription
requestTimeStringMThis is the requested date and time in the Day Mmm DD HH:MM:SS TIMEZONE YYYY.
responseTimeStringMThis is the response date and time in the Day Mmm DD HH:MM:SS TIMEZONE YYYY.
resultCodeStringMThe unique code of the status of the transaction.
resultDescriptionStringMDescription of the status of the transaction.
Result
Result - dataStringM
Result - valueStringM

Requirement legend: M = Mandatory · O = Optional · C = Conditional

Response Details​

{
"requestTime": "Tue Jan 28 13:18:40 IST 2025",
"responseTime": "Tue Jan 28 13:18:40 IST 2025",
"resultCode": "0",
"resultDescription": "Transaction successful",
"result": [
{
"data": "RHS005",
"value": "SAVINGS | OTHERS"
},
{
"data": "RHS004",
"value": "LOTTERY | GIFT | INTEREST | DIVIDENDS | RENT"
},
{
"data": "RHS003",
"value": "LOAN | DONATIONS"
},
{
"data": "RHS002",
"value": "BUSINESS INCOME | FINAL SETTLEMENT"
},
{
"data": "RHS001",
"value": "SALARY"
}
]
}